%define	name	alleyoop
%define version 0.9.3
%define release %mkrel 1
%define	Summary	Graphical frontend to Valgrind memory checker

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://alleyoop.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	%{name}-%{version}.tar.bz2
Patch0:		alleyoop-0.8.2-fix-build.patch.bz2

BuildRequires:	binutils-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	valgrind
# it checks for editors
# (saispo) not needed
#BuildRequires:	emacs xemacs vim-X11
Requires(pre):	GConf2 >= 2.3.3
Requires:	valgrind

%description
Alleyoop is a graphical frontend to the Valgrind memory checker for
GNOME.

%prep
%setup -q

%build
# to guarantee that gvim can be found
export PATH="$PATH:/usr/X11R6/bin"

%configure2_5x --enable-vgstrpool=yes
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %{makeinstall_std}




mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Alleyoop
Comment=%{Summary}
Exec=%{_bindir}/%{name}
Icon=development_tools_section
Terminal=false
Type=Application
Categories=Development;Debugger;

EOF

%find_lang %{name}

%post
%update_menus
%post_install_gconf_schemas %{name}

%preun
%preun_uninstall_gconf_schemas %{name}

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*


%changelog
* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.3-1mdv2008.1
+ Revision: 148036
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 29196
- Remove editors BuildRequires
- New release 0.9.3
- Import alleyoop



* Mon Sep 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.2-3mdv2007.0
- actually define %%{Summary}

* Mon Sep 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.2-2mdv2007.0
- fix menus (summary macro and comment breakage)

* Tue Aug 08 2006 Jerome Soyer <saispo@mandriva.org> 0.9.2-1mdv2007.0
- New release 0.9.2

* Tue Jul 11 2006 Lenny Cartier <lenny@mandriva.com> 0.9.0-2mdv2007.0
- xdg menu

* Fri Mar 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.0-1mdk
- new release
- patch 0: fix build on x86_64

* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-1mdk
- 0.8.2

* Fri Dec 12 2003 Abel Cheung <deaddog@deaddog.org> 0.8.0-3mdk
- Yet another fix

* Sat Oct 25 2003 Abel Cheung <deaddog@deaddog.org> 0.8.0-2mdk
- Fix buildrequires

* Sat Oct 25 2003 Abel Cheung <deaddog@deaddog.org> 0.8.0-1mdk
- First Mandrake package
